#ifndef PERF08_DB_H
#define PERF08_DB_H
/*lint ++flb */

/* Raima Database Manager 11.0.0.1000 */

/*
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * EXAMPLE - perf08
 *
 * This is the DDL (Database Definition Language) for a simple Bill of 
 * Materials database.  This version uses relation style idexes for 
 * relationships instead of sets.
 */


/* database perf08_db record/key structure declarations */

struct ritem {
   char rid_code[16];
   char rdescription[58];
   double rcost;
   int32_t rcomponent_count;
};

struct rbill {
   char rparent[16];
   char rcomponent[16];
   int32_t rsequence;
   double rquantity;
   int32_t rlevel;
};

struct rbill_rbom {
   char rparent[16];
   int32_t rsequence;
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define RITEM 10000
#define RBILL 10001

/* Field Name Constants */
#define RITEM_RID_CODE 0L
#define RITEM_RDESCRIPTION 1L
#define RITEM_RCOST 2L
#define RITEM_RCOMPONENT_COUNT 3L
#define RBILL_RPARENT 1000L
#define RBILL_RCOMPONENT 1001L
#define RBILL_RSEQUENCE 1002L
#define RBILL_RQUANTITY 1003L
#define RBILL_RLEVEL 1004L
#define RBILL_RBOM 1005L

/* Set Name Constants */

/* Field Sizes */
#define SIZEOF_RITEM_RID_CODE 16
#define SIZEOF_RITEM_RDESCRIPTION 58
#define SIZEOF_RITEM_RCOST 8
#define SIZEOF_RITEM_RCOMPONENT_COUNT 4
#define SIZEOF_RBILL_RPARENT 16
#define SIZEOF_RBILL_RCOMPONENT 16
#define SIZEOF_RBILL_RSEQUENCE 4
#define SIZEOF_RBILL_RQUANTITY 8
#define SIZEOF_RBILL_RLEVEL 4

/*lint --flb */
#endif    /* PERF08_DB_H */
